summaryrefslogtreecommitdiffstats
path: root/development/SQLiteStudio
diff options
context:
space:
mode:
author Antonio Leal <antonioleal@yahoo.com>2022-12-28 16:23:28 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-12-31 09:14:39 +0700
commit6134f6180905a7084579782f89c4de6ba91134bf (patch)
treefa84b37fd995fe795deb103c12c108241c5f2733 /development/SQLiteStudio
parent2a0bf7734485fd10afc282919c7dbe1f0bdefa76 (diff)
downloadslackbuilds-6134f6180905a7084579782f89c4de6ba91134bf.tar.gz
slackbuilds-6134f6180905a7084579782f89c4de6ba91134bf.tar.xz
development/SQLiteStudio: Updated for version 3.4.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/SQLiteStudio')
-rw-r--r--development/SQLiteStudio/README9
-rw-r--r--development/SQLiteStudio/SQLiteStudio.SlackBuild52
-rw-r--r--development/SQLiteStudio/SQLiteStudio.info6
-rw-r--r--development/SQLiteStudio/SQLiteStudio.pngbin0 -> 218806 bytes
4 files changed, 34 insertions, 33 deletions
diff --git a/development/SQLiteStudio/README b/development/SQLiteStudio/README
index 06a0e8289a..1be729e955 100644
--- a/development/SQLiteStudio/README
+++ b/development/SQLiteStudio/README
@@ -7,14 +7,13 @@ are in general.
SQLiteStudio was created and is maintained by Pawel Salawa with
contribution from the community.
-The project was initially implemented in Tcl/Tk, until version 3.0.0
-that was completely re-written in C++/Qt.
-
It is an open-source software, released under GPL (v3) license.
You are free to use it for any purpose you like.
Homepage: https://sqlitestudio.pl/
Github: https://github.com/pawelsalawa/sqlitestudio
-This package installs to /opt/SQLiteStudio and depends on
-chrpath package also found in SlackBuilds
+To build this package the official Slackware Python 3.9 and the
+chrpath package (found in SlackBuilds) are required.
+
+This package installs to /opt/SQLiteStudio
diff --git a/development/SQLiteStudio/SQLiteStudio.SlackBuild b/development/SQLiteStudio/SQLiteStudio.SlackBuild
index 9d047896ec..ea2491812a 100644
--- a/development/SQLiteStudio/SQLiteStudio.SlackBuild
+++ b/development/SQLiteStudio/SQLiteStudio.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for the SQLiteStudio
-# Copyright 2022 Antonio Leal, Lisbon, Portugal
+# Copyright 2022 Antonio Leal, Porto Salvo, Oeiras, Portugal
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=SQLiteStudio
-VERSION=${VERSION:-3.3.3}
+VERSION=${VERSION:-3.4.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -48,22 +48,18 @@ if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
QMAKE=/usr/lib/qt5/bin/qmake
- CORES=2
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
QMAKE=/usr/lib/qt5/bin/qmake
- CORES=2
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
QMAKE=/usr/lib64/qt5/bin/qmake
- CORES=4
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
QMAKE=/usr/lib/qt5/bin/qmake
- CORES=4
fi
set -e
@@ -85,34 +81,40 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# build program
+mkdir -p $BUILDDIR/output/build $BUILDDIR/output/build/Plugins
+cd $BUILDDIR/output/build
+$QMAKE CONFIG+=portable ../../SQLiteStudio3
+make
+
+# build **all** plugins, requires python 3.9 installed
+set +e
+cd $BUILDDIR/output/build/Plugins
+$QMAKE CONFIG+=portable ../../../Plugins "INCLUDEPATH += /usr/include/python3.9"
+make
+set -e
+
+#Portable distribution created at: $BUILDDIR/output/portable/SQLiteStudio
cd $BUILDDIR/scripts/linux
-./compile.sh $QMAKE $CORES
./create_portable.sh $QMAKE
+# prepare the package files
mkdir -p $PKG/opt/$PRGNAM
-mv $BUILDDIR/output/portable/SQLiteStudio/* $PKG/opt/$PRGNAM
+cp -avxu $BUILDDIR/output/portable/SQLiteStudio/* $PKG/opt/$PRGNAM/
mkdir -p $PKG/usr/share/pixmaps
-cp $BUILDDIR/scripts/installer/config/watermark.png $PKG/usr/share/pixmaps/SQLiteStudio.png
+cp $CWD/SQLiteStudio.png $PKG/usr/share/pixmaps/SQLiteStudio.png
mkdir -p $PKG/usr/share/applications
cp $CWD/SQLiteStudio.desktop $PKG/usr/share/applications
-# remove uneeded symlinks
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libk5crypto.so.3 )
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libk5crypto.so.3.1 )
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libkrb5.so.3 )
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libkrb5.so.3.3 )
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libkrb5support.so.0 )
-( cd $PKG/opt/SQLiteStudio/lib ; rm -rf libkrb5support.so.0.1 )
-
-# or fix broken symlink
-#(
-# cd $PKG/opt/SQLiteStudio/lib
-# for lnk in libk5crypto.so.3.1 libkrb5.so.3.3 libkrb5support.so.0.1 \
-# libk5crypto.so.3 libkrb5.so.3 libkrb5support.so.0; do
-# rm -f $lnk ; ln -s ../../../lib$LIBDIRSUFFIX/$lnk $lnk
-# done
-#)
+# fix broken symlinks
+(
+ cd $PKG/opt/SQLiteStudio/lib
+ for lnk in libk5crypto.so.3.1 libkrb5.so.3.3 libkrb5support.so.0.1 \
+ libk5crypto.so.3 libkrb5.so.3 libkrb5support.so.0; do
+ rm -fv $lnk ; ln -s ../../../../../lib$LIBDIRSUFFIX/$lnk $lnk
+ done
+)
# create additonal program symlinks
mkdir -p $PKG/usr/bin
diff --git a/development/SQLiteStudio/SQLiteStudio.info b/development/SQLiteStudio/SQLiteStudio.info
index c780510ea2..bb41aed809 100644
--- a/development/SQLiteStudio/SQLiteStudio.info
+++ b/development/SQLiteStudio/SQLiteStudio.info
@@ -1,8 +1,8 @@
PRGNAM="SQLiteStudio"
-VERSION="3.3.3"
+VERSION="3.4.1"
HOMEPAGE="https://sqlitestudio.pl/"
-DOWNLOAD="https://github.com/pawelsalawa/sqlitestudio/archive/3.3.3/sqlitestudio-3.3.3.tar.gz"
-MD5SUM="5cdf72142a28f3797f4375a9cd307387"
+DOWNLOAD="https://github.com/pawelsalawa/sqlitestudio/archive/3.4.1/sqlitestudio-3.4.1.tar.gz"
+MD5SUM="b2b7b5783604bc8e20f18608df89923a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="chrpath"
diff --git a/development/SQLiteStudio/SQLiteStudio.png b/development/SQLiteStudio/SQLiteStudio.png
new file mode 100644
index 0000000000..9140aa27c3
--- /dev/null
+++ b/development/SQLiteStudio/SQLiteStudio.png
Binary files differ